package eg2;

import junit.framework.Assert;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class ArithmeticOperationsLogicTest 
{
	private ArithmeticOperationsLogic logic_ = null;

	@Before
	public void setUp()
	{
		logic_ = new ArithmeticOperationsLogic();
	}
	
	@After
	public void tearDown()
	{
		logic_ = null;
	}
	
	@Test
	public void testInputsSuccess()
	{
		try {
			logic_.assertInputsAreNumbers("3", "5");
		} catch (ArithmeticException e) {
			Assert.fail();
		}
	}

	@Test
	public void testInputFailure1()
	{
		try {
			logic_.assertInputsAreNumbers("kivanc", "5");
			Assert.fail();
		} catch (ArithmeticException e) {
		}
	}

	@Test
	public void testInputFailure2()
	{
		try {
			logic_.assertInputsAreNumbers("3", "david");
			Assert.fail();
		} catch (ArithmeticException e) {
		}
	}
	
	@Test
	public void testInputFailure3()
	{
		try {
			logic_.assertInputsAreNumbers("anton", "kivanc");
			Assert.fail();
		} catch (ArithmeticException e) {
		}
	}
}
