package eg1;

import junit.framework.Assert;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class SetTest2 
{
	private Set <Integer> set3_ = null;
	private Set <Integer> emptySet_ = null;
	
	@Before
	public void setUp()
	{
		set3_ = new Set<Integer>();
		set3_.add(3);
		emptySet_ = new Set<Integer>();
	}
	
	@After
	public void tearDown()
	{
		set3_ = null;
		emptySet_ = null;
	}
	
	@Test
	public void testContains()
	{
		boolean result = set3_.contains(3);
		Assert.assertTrue(result);
	}
	
	@Test
	public void testRemove()
	{
		set3_.remove(3);
		boolean result = set3_.contains(3);
		Assert.assertFalse(result);
	}
	
	@Test
	public void testRemove2()
	{
		set3_.add(3);
		set3_.remove(3);
		boolean result = set3_.contains(3);
		Assert.assertFalse(result);
	}
	
	@Test
	public void testEmptySet()
	{
		boolean result = emptySet_.contains(3);
		Assert.assertFalse(result);
	}

}
