package eg2;

import junit.framework.Assert;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class ArithmeticOperationsTest2
{
	private ArithmeticOperations ops_ = null;
	
	@Before
	public void setUp()
	{
		ops_ = new ArithmeticOperations();
	}
	
	@After
	public void tearDown()
	{
		ops_ = null;
	}
	
	@Test
	public void testDivisionSuccess()
	{
		try {
			double result = ops_.divide(6, 2);
			Assert.assertEquals((6.0/2), result);
		} catch (DivisionException e) {
			Assert.fail();
		}
	}
	
	@Test
	public void testDivisionFailure()
	{
		try {
			ops_.divide(6, 0);
			Assert.fail();
		} catch (DivisionException e) {
		}
	}

}